<template>
<v-dialog
  v-model="show"
  max-width="400"
  @keydown.enter="save"
  >
  <v-card>
    <v-card-title class="headline">{{ $t('Rename') }}</v-card-title>
    <v-card-text>
      <v-container>
    <v-alert type="info" :icon="mdiInformation" border="left" colored-border>
      <p><b>Оплата регулярных занятий.</b></p>

      <p>Идеально - оплата вперёд.</p>
      <p>Некоторые личности начинают думать, что можно <b>регулярно
          забирать у меня время</b>, а ходить через раз и не платить.
        Такие у меня долго не задерживаются. См. ниже про отмену занятий.
      </p>
    </v-alert>

    <v-alert type="info" :icon="mdiInformation" border="left" colored-border>
      <p><b>Отмена занятий</b></p>

      <p>Идеально - сообщать мне за несколько дней об отмене занятия.</p>

      <p>
        <b>Сообщайте мне минимум за 24 часа об отмене занятий. Или будьте
          готовы заплатить за отнятое время.</b>
      </p>

      <i>Пояснение для умных: если Вы сообщаете мне <b>за 5 минут</b>
        (или за 5 часов), что Вас не будет в назначенное время - это время
        я <b>потеряю</b> (!) из-за Вас. Я никого туда уже не поставлю.</i>
    </v-alert>
  </v-container>

    </v-card-text>

    <v-card-actions>
      <v-spacer></v-spacer>

      <v-btn
        color="green darken-1"
        text
        @click="save"
        >
        {{ $t('Save') }}
      </v-btn>
      <v-btn
        text
        @click="show = false"
        >
        {{ $t('Cancel') }}
      </v-btn>
    </v-card-actions>
  </v-card>
</v-dialog>
</template>


<script>
import Vue from 'vue';
import { mapState } from 'vuex';
import {
  mdiCreditCardOutline,
  mdiAccountCashOutline,
} from '@mdi/js';

// A bus to send events to this dialog
const bus = new Vue();

export {
  bus,
};

export default {
  computed: {
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
    style() {
      return `background:${this.bg}`;
    },
    btncaption() {
      return 'Подробнее...';
      // if (this.details) {
      //   return this.details;
      // }
      // return `Подробнее про ${this.title}...`;
    },
  },
  created() {
    bus.$on('show', () => {
      this.show = false;
      this.$nextTick(() => {
        this.open();
      });
    });
  },
  data: () => ({
    show: false,
    logoHeight: 100,
    paymentMethods: [
      {
        title: 'Карта (Сбербанк)',
        comment: '4274 3200 2532 9007',
        icon: mdiCreditCardOutline,
      },
      {
        title: 'При встрече',
        comment: 'Для тех, кто приходит.',
        icon: mdiAccountCashOutline,
      },
      // {
      //   title: 'Яндекс.Деньги',
      //   comment: 'Счёт: 41001259536194',
      // },
    ],
  }),
  props: {
    title: String,
    icon: String,
    desc: String,
    to: String,
    bg: String,
    details: String,
  },
};
</script>
